package jp.ne.sakura.sugi.test205;

import android.app.Activity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    EditText edit1;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        edit1 = (EditText)findViewById(R.id.main_edit1);
    }

    protected void onActivityResult (int requestCode, int resultCode, Intent data) {
       Log.d("main", "onActivityResult request="+requestCode);
        switch (requestCode) {
            case 1: // ロードアクティビティーから
                if(resultCode == Activity.RESULT_OK){
                    String s = data.getStringExtra("text");
                    if(s != null){
                        edit1.setText(s);
                        Toast.makeText(this, "テキストをロードしました。", Toast.LENGTH_LONG).show();
                    }
                }
                break;
            case 2: // セーブアクティビティーから
                if(resultCode == Activity.RESULT_OK) {
                    Toast.makeText(this, "テキストをセーブしました。", Toast.LENGTH_LONG).show();
                }
                break;
        }
    }

    public void button1Clicked(View v){
        Log.d("main", "button1 clicked.");
        Intent i = new Intent(this, LoadActivity.class);
        startActivityForResult(i, 1);
    }

    public void button2Clicked(View v){
        Log.d("main", "button2 clicked.");
        Intent i = new Intent(this, SaveActivity.class);
        i.putExtra("text", edit1.getText().toString());
        startActivityForResult(i, 2);
    }
}
