package jp.ne.sakura.sugi.test205;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

public class SaveActivity extends AppCompatActivity {
    TextView label2;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_save);
        // セーブする文字列の取り出しとlabel2へのセット
        Intent i = getIntent();
        String s = i.getStringExtra("text");
        label2 = (TextView)findViewById(R.id.save_label2);
        label2.setText(s);
        Log.d("save", "SaveActivity onCreate");
    }

    public void button1Clicked(View v){
        SharedPreferences s = getApplicationContext().getSharedPreferences("text", Context.MODE_PRIVATE);
        SharedPreferences.Editor e = s.edit();
        e.putString("text", label2.getText().toString());
        e.commit();
        setResult(Activity.RESULT_OK);
        finish();
    }
}
